import BaseCurdApi from './BaseCurdApi'

class TagApplyApi extends BaseCurdApi {
  importData = (data) => {
    const formData = new FormData()
    formData.append('providerId', data.providerId)
    formData.append('file', data.file)
    return this.api({
      url: `${this.basePath}/data/import`,
      method: 'POST',
      data: formData,
      headers: {
        'Content-Type': 'multipart/form-data'
      }
    })
  }

  downloadTemplate = () => this.api({
    url: `${this.basePath}/download/template`,
    method: 'GET',
    responseType: 'blob'
  })

  confirmPay = (data) => this.api({
    url: `${this.basePath}/confirm/pay`,
    method: 'POST',
    data: data
  })

  constructor () {
    super('/tag/apply')
  }
}

export default new TagApplyApi()
